// mainfrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#define PM_ZIP			WM_USER + 80			// send by the ZIP dialog box to start the zip process
#define PM_UNZIP		WM_USER + 81			// send by the UNZIP dialog box to start the unzip process
#define PM_VIEW			WM_USER + 82			// send by the UNZIP dialog box to start the view process
#define PM_REPLACE	 WM_USER + 53			// the REPLACE dialog box is displayed

class CMainFrame : public CFrameWnd
{
protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)
	virtual BOOL PreCreateWindow( CREATESTRUCT& cs );

	// values set by Zip or Unzip Dialog boxes
	CString sMask;
	int iOverwrite;
	BOOL bRecurse;
	BOOL bPath;
	
// Attributes
public:

// Operations
public:

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

public:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSelect();
	afx_msg void OnZipCommand();
	afx_msg void OnUnzipCommand();
	afx_msg LRESULT OnZip( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnUnzip( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnView( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnZnFileZipped( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnZnZipping( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnWriting( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnCompute( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnOpenFile( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnExpanding( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnCloseFile( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnReplace( WPARAM wParam, LPARAM lParam );
	afx_msg void OnZiplist();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
